View Issue Details

IDProjectCategoryView StatusLast Update
0002817SOGoActiveSyncpublic2014-11-18 13:14
Reporterandrew Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version2.2.7Fixed in Version2.2.10 
Summary0002817: ActiveSync attachement broken using Outlook 2013
Description

In Outlook 2013, attachement lose hex one or more "00" in the file end.

Maybe the reason is caused by strip the blank?

TagsNo tags attached.

Relationships

related to 0002957 resolvedludovic Attatchments broken using ActiveSync 

Activities

andrew

andrew

2014-06-17 00:12

reporter   ~0007219

The attachement is correct in webmail.

ludovic

ludovic

2014-06-26 11:03

administrator   ~0007246

I haven't been able to get a corrupted attachment yet when using Outlook.

andrew

andrew

2014-06-27 12:06

reporter   ~0007247

Can you try a microsoft office document, such as docx?

andrew

andrew

2014-06-28 09:05

reporter   ~0007248

I got tcpdump file and analyse it using wireshark. The data is correct, but the file corrupt using outlook 2013. The office 2013 had been updated sp1. Maybe outlook 2013 bug?

ludovic

ludovic

2014-06-28 09:08

administrator   ~0007249

Ask Microsoft in the forums.

andrew

andrew

2014-06-28 10:59

reporter   ~0007250

see P.v.Geens

http://answers.microsoft.com/en-us/office/forum/office_2010-outlook/outlook-2010-decodes-pdf-attachment-as-all-zero/51012fe5-9d5e-431d-9d9c-a37b0171264a?page=2

ludovic

ludovic

2014-06-30 08:41

administrator   ~0007259

Well, that discussion doesn't seem relevant as:

1- it talks about Outlook 2010
2- it doesn't involve ActiveSync

Thanks,

ludovic

ludovic

2014-11-17 21:07

administrator   ~0007697

Last edited: 2014-11-18 12:45

Fixed in SOPE: https://github.com/inverse-inc/sope/commit/67c58bfd91e859c9bf643cf20cc44ed2fe6e389f

Please try the upcoming nightly builds, it's very important for our release.

ludovic

ludovic

2014-11-18 13:14

administrator   ~0007700

Nightly builds are now available.

Issue History

Date Modified Username Field Change
2014-06-17 00:09 andrew New Issue
2014-06-17 00:12 andrew Note Added: 0007219
2014-06-23 15:54 ludovic Target Version => 2.2.6
2014-06-26 11:03 ludovic Note Added: 0007246
2014-06-26 11:03 ludovic Severity major => minor
2014-06-26 11:03 ludovic Target Version 2.2.6 => 2.2.7
2014-06-27 12:06 andrew Note Added: 0007247
2014-06-28 09:05 andrew Note Added: 0007248
2014-06-28 09:08 ludovic Note Added: 0007249
2014-06-28 10:59 andrew Note Added: 0007250
2014-06-30 08:41 ludovic Note Added: 0007259
2014-11-17 21:07 ludovic Relationship added related to 0002957
2014-11-17 21:07 ludovic Note Added: 0007697
2014-11-17 21:07 ludovic Status new => resolved
2014-11-17 21:07 ludovic Fixed in Version => 2.2.10
2014-11-17 21:07 ludovic Resolution open => fixed
2014-11-17 21:07 ludovic Assigned To => ludovic
2014-11-18 12:45 ludovic Note Edited: 0007697
2014-11-18 13:14 ludovic Note Added: 0007700